%define upstream_name    Redis
%define upstream_version 2.000

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Redis Sentinel interface
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::SHA)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Socket::Timeout) >= 0.290.0
BuildRequires: perl(IO::String)
BuildRequires: perl(IPC::Cmd)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::SharedFork)
BuildRequires: perl(Test::TCP) >= 1.190.0
BuildRequires: perl(Try::Tiny)
BuildArch:  noarch

%description
Pure perl bindings for the http://redis.io/ manpage

This version supports protocol 2.x (multi-bulk) or later of Redis available
at the https://github.com/antirez/redis/ manpage.

This documentation lists commands which are exercised in test suite, but
additional commands will work correctly since protocol specifies enough
information to support almost all commands with same piece of code with a
little help of 'AUTOLOAD'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon Jan 16 2023 tv <tv> 2.0.0-1.mga9
+ Revision: 1933769
- update to 2.000

* Mon Mar 21 2022 umeabot <umeabot> 1.999.0-2.mga9
+ Revision: 1815994
- Mageia 9 Mass Rebuild

* Sat Jan 22 2022 tv <tv> 1.999.0-1.mga9
+ Revision: 1769403
- update to 1.999

* Sun Aug 23 2020 tv <tv> 1.998.0-1.mga8
+ Revision: 1618076
- update to 1.998

* Tue Jul 14 2020 tv <tv> 1.996.0-1.mga8
+ Revision: 1605972
- 1.996

* Mon Feb 24 2020 tv <tv> 1.995.0-1.mga8
+ Revision: 1549809
- update to 1.995

* Wed Feb 12 2020 umeabot <umeabot> 1.991.0-3.mga8
+ Revision: 1506129
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.991.0-2.mga7
+ Revision: 1285942
- Mageia 7 Mass Rebuild

* Sat Jul 29 2017 sander85 <sander85> 1.991.0-1.mga7
+ Revision: 1132456
- update to 1.991

* Sun Jun 19 2016 pterjan <pterjan> 1.982.0-2.mga6
+ Revision: 1032723
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.982.0-1.mga6
+ Revision: 1002289
- update to 1.982

* Sat Feb 20 2016 umeabot <umeabot> 1.981.0-2.mga6
+ Revision: 971334
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 1.981.0-1.mga6
+ Revision: 891523
- update to 1.981

* Sun Sep 06 2015 sander85 <sander85> 1.980.0-1.mga6
+ Revision: 873594
- update to 1.980

* Wed Jul 08 2015 sander85 <sander85> 1.979.0-1.mga6
+ Revision: 852938
- update to 1.979

* Sun Oct 19 2014 pterjan <pterjan> 1.976.0-1.mga5
+ Revision: 791886
- imported package perl-Redis

